package com.ywt.outpatient.domain.models.enums;

/**
 * 挂号订单状态
 */
public enum RegisteredStatusEnum {
//    Pending("待支付", 0),
    Booked("已预约", 1),
    Cancel("已取消", 1 << 1),
    Took("已取号", 1 << 2),    //相当于 已支付
    Expired("已过期", 1 << 3),
    Back("已退号", 1<< 4);//相当于 已退款

    RegisteredStatusEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    private final String displayName;

    private final int value;

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
